Bug 476122 - Request to apply a patch: bug #14657
Request to apply a patch: bug #14657
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: db4 (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Jindrich Novy
BaseOS QE
:
Depends On:
Blocks: 429219
  Show dependency treegraph
 
Reported: 2008-12-11 19:54 EST by Noriko Hosoi
Modified: 2013-07-02 19:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-25 08:32:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Noriko Hosoi 2008-12-11 19:54:12 EST
Description of problem:
I checked the source rpm of RHEL5 db4 4.3.29 and I could not find this patch
applied. Can we have a updated db4 having the patch applied?
Thanks,
--noriko

http://www.oracle.com/technology/products/berkeley-db/db/update/4.3.29/patch.4.3.29.html
# Fix a bug where cache buffer retrieval could race with a checkpoint call, potentially causing database environment recovery to fail. [#14657]
Apply the following patch to the db-4.3.29 release. 	 

*** mp/mp_fget.c.orig	2006-05-30 20:44:11.000000000 -0700
--- mp/mp_fget.c	2006-05-30 20:44:22.000000000 -0700
***************
*** 577,584 ****
  	 */
  	if (state != SECOND_MISS && bhp->ref == 1) {
  		bhp->priority = UINT32_MAX;
! 		SH_TAILQ_REMOVE(&hp->hash_bucket, bhp, hq, __bh);
! 		SH_TAILQ_INSERT_TAIL(&hp->hash_bucket, bhp, hq);
  		hp->hash_priority =
  		    SH_TAILQ_FIRST(&hp->hash_bucket, __bh)->priority;
  	}
--- 577,587 ----
  	 */
  	if (state != SECOND_MISS && bhp->ref == 1) {
  		bhp->priority = UINT32_MAX;
! 		if (SH_TAILQ_FIRST(&hp->hash_bucket, __bh) !=
! 		     SH_TAILQ_LAST(&hp->hash_bucket, hq, __bh)) {
! 			SH_TAILQ_REMOVE(&hp->hash_bucket, bhp, hq, __bh);
! 			SH_TAILQ_INSERT_TAIL(&hp->hash_bucket, bhp, hq);
! 		}
  		hp->hash_priority =
  		    SH_TAILQ_FIRST(&hp->hash_bucket, __bh)->priority;
  	}
Comment 1 Scott Haines 2009-02-12 09:14:24 EST
Directory Server team requesting this bug be fast-tracked to assist in addressing BZ#429219 against RHDS 8.0.  IdM QE team willing to accept QE burden if necessary.
Comment 7 errata-xmlrpc 2009-03-25 08:32:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0390.html

Note You need to log in before you can comment on or make changes to this bug.